/// <reference types="react" />
import * as React from 'react';
export interface IXtermFinderProps {
    className?: string;
    onFindNext?: (text: string) => void;
    onFindPrevious?: (text: string) => void;
    onClose?: () => void;
}
export interface IXtermFinderState {
    text?: string;
}
export default class XtermFinder extends React.Component<IXtermFinderProps, IXtermFinderState> {
    constructor(props?: IXtermFinderProps, context?: any);
    private handleText;
    private handleFindNext(e);
    private handleFindPrev;
    private handleKeyDown;
    private handleClose;
    render(): JSX.Element;
}
