import { Store } from '@xterm-stack/client-redux';
import { ApolloError } from 'apollo-client';
export interface IXtermHeaderProps {
    loading?: boolean;
    error?: ApolloError;
    color?: Store.Color;
    theme?: any;
    styles?: any;
    activeInstance?: Store.TerminalInstance;
    terminalInstances?: Store.TerminalInstance[];
    loadColor?: Function;
    setColor?: Function;
    loadTheme?: Function;
    setTheme?: Function;
    createInstance?: () => void;
    activateInstance?: (instance: any) => void;
    deleteInstance?: () => void;
}
declare const _default: any;
export default _default;
